import{s as ee,n as te,o as ae}from"../chunks/scheduler.db6b1edd.js";import{S as se,i as ie,g as l,s as i,r as q,A as ne,h as o,f as a,c as n,j as X,u as F,x as _,k as Z,y as le,a as s,v as O,d as G,t as I,w as R}from"../chunks/index.ef84021a.js";import{H as W,E as oe}from"../chunks/EditOnGithub.f0365ffe.js";function re(Y){let r,T,w,M,d,L,u,B="Machine learning datasets are commonly organized in <em>splits</em> and they may also have <em>subsets</em> (also called <em>configurations</em>). These internal structures provide the scaffolding for building out a dataset, and determines how a dataset should be split and organized. Understanding a dataset’s structure can help you create your own dataset, and know which subset of data you should use when during model training and evaluation.",x,m,D='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/split-configs-server.gif" alt="split-configs-server"/>',H,p,P,c,J="Every processed and cleaned dataset contains <em>splits</em>, specific parts of the data reserved for specific needs. The most common splits are:",S,f,K="<li><code>train</code>: data used to train a model; this data is exposed to the model</li> <li><code>validation</code>: data reserved for evaluation and improving model hyperparameters; this data is hidden from the model</li> <li><code>test</code>: data reserved for evaluation only; this data is completely hidden from the model and ourselves</li>",k,h,N="The <code>validation</code> and <code>test</code> sets are especially important to ensure a model is actually learning instead of <em>overfitting</em>, or just memorizing the data.",z,g,C,v,Q='A <em>subset</em> (also called <em>configuration</em>) is a higher-level internal structure than a split, and a subset contains splits. You can think of a subset as a sub-dataset contained within a larger dataset. It is a useful structure for adding additional layers of organization to a dataset. For example, if you take a look at the <a href="https://huggingface.co/datasets/facebook/multilingual_librispeech" rel="nofollow">Multilingual LibriSpeech (MLS)</a> dataset, you’ll notice there are eight different languages. While you can create a dataset containing all eight languages, it’s probably neater to create a dataset with each language as a subset. This way, users can instantly load a dataset with their language of interest instead of preprocessing the dataset to filter for a specific language.',E,b,V='Subsets are flexible, and can be used to organize a dataset along whatever objective you’d like. For example, the <a href="https://huggingface.co/datasets/scene_parse_150" rel="nofollow">SceneParse150</a> dataset uses subsets to organize the dataset by task. One subset is dedicated to segmenting the whole image, while the other subset is for instance segmentation.',j,$,A,y,U;return d=new W({props:{title:"Splits and subsets",local:"splits-and-subsets",headingTag:"h1"}}),p=new W({props:{title:"Splits",local:"splits",headingTag:"h2"}}),g=new W({props:{title:"Subsets",local:"subsets",headingTag:"h2"}}),$=new oe({props:{source:"https://github.com/huggingface/dataset-viewer/blob/main/docs/source/configs_and_splits.md"}}),{c(){r=l("meta"),T=i(),w=l("p"),M=i(),q(d.$$.fragment),L=i(),u=l("p"),u.innerHTML=B,x=i(),m=l("p"),m.innerHTML=D,H=i(),q(p.$$.fragment),P=i(),c=l("p"),c.innerHTML=J,S=i(),f=l("ul"),f.innerHTML=K,k=i(),h=l("p"),h.innerHTML=N,z=i(),q(g.$$.fragment),C=i(),v=l("p"),v.innerHTML=Q,E=i(),b=l("p"),b.innerHTML=V,j=i(),q($.$$.fragment),A=i(),y=l("p"),this.h()},l(e){const t=ne("svelte-u9bgzb",document.head);r=o(t,"META",{name:!0,content:!0}),t.forEach(a),T=n(e),w=o(e,"P",{}),X(w).forEach(a),M=n(e),F(d.$$.fragment,e),L=n(e),u=o(e,"P",{"data-svelte-h":!0}),_(u)!=="svelte-1qxdt6j"&&(u.innerHTML=B),x=n(e),m=o(e,"P",{"data-svelte-h":!0}),_(m)!=="svelte-1p3cuco"&&(m.innerHTML=D),H=n(e),F(p.$$.fragment,e),P=n(e),c=o(e,"P",{"data-svelte-h":!0}),_(c)!=="svelte-xwnz83"&&(c.innerHTML=J),S=n(e),f=o(e,"UL",{"data-svelte-h":!0}),_(f)!=="svelte-1ptk7op"&&(f.innerHTML=K),k=n(e),h=o(e,"P",{"data-svelte-h":!0}),_(h)!=="svelte-be0hj3"&&(h.innerHTML=N),z=n(e),F(g.$$.fragment,e),C=n(e),v=o(e,"P",{"data-svelte-h":!0}),_(v)!=="svelte-181pvti"&&(v.innerHTML=Q),E=n(e),b=o(e,"P",{"data-svelte-h":!0}),_(b)!=="svelte-lzg1bi"&&(b.innerHTML=V),j=n(e),F($.$$.fragment,e),A=n(e),y=o(e,"P",{}),X(y).forEach(a),this.h()},h(){Z(r,"name","hf:doc:metadata"),Z(r,"content",de)},m(e,t){le(document.head,r),s(e,T,t),s(e,w,t),s(e,M,t),O(d,e,t),s(e,L,t),s(e,u,t),s(e,x,t),s(e,m,t),s(e,H,t),O(p,e,t),s(e,P,t),s(e,c,t),s(e,S,t),s(e,f,t),s(e,k,t),s(e,h,t),s(e,z,t),O(g,e,t),s(e,C,t),s(e,v,t),s(e,E,t),s(e,b,t),s(e,j,t),O($,e,t),s(e,A,t),s(e,y,t),U=!0},p:te,i(e){U||(G(d.$$.fragment,e),G(p.$$.fragment,e),G(g.$$.fragment,e),G($.$$.fragment,e),U=!0)},o(e){I(d.$$.fragment,e),I(p.$$.fragment,e),I(g.$$.fragment,e),I($.$$.fragment,e),U=!1},d(e){e&&(a(T),a(w),a(M),a(L),a(u),a(x),a(m),a(H),a(P),a(c),a(S),a(f),a(k),a(h),a(z),a(C),a(v),a(E),a(b),a(j),a(A),a(y)),a(r),R(d,e),R(p,e),R(g,e),R($,e)}}}const de='{"title":"Splits and subsets","local":"splits-and-subsets","sections":[{"title":"Splits","local":"splits","sections":[],"depth":2},{"title":"Subsets","local":"subsets","sections":[],"depth":2}],"depth":1}';function ue(Y){return ae(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class fe extends se{constructor(r){super(),ie(this,r,ue,re,ee,{})}}export{fe as component};
